<template>
	<view class="billall">
		<u-cell-group class="toptemplate">
			<u-cell :title="mytitle" @click="floorchange">
				<u-icon slot="icon" size="40" color="#fff" name="map"></u-icon>
				<u-icon slot="right-icon" size="40" color="#fff" name="search"></u-icon>
			</u-cell>
		</u-cell-group>
		<view class="u-listdata">
			<view style="padding:16rpx 0 16rpx 32rpx">
				共有 <span style="color: red">{{totalnumber}}</span>条记录
			</view>
			<u-list @scrolltolower="scrolltolower" :pagingEnabled='true'>
				<u-list-item v-for="(item, index) in indexList" :key="index">
					<view class="companylist">
						<h3>{{item.deviceName}}</h3>
						<view class="Currentamount">
							空间信息:跨境电商大厦-{{ item.positionInfo }}
						</view>
						<view class="Currentamount">
							设备编号: {{ item.deviceId }}
						</view>
						<view class="Currentamount">
							告警原因: <span>{{item.alertConfigName}}</span>
						</view>
						<view class="Currentamount">
							告警内容: {{item.content}}
						</view>

					</view>

				</u-list-item>
			</u-list>
		</view>
		<u-picker :itemHeight="80" :show="showfloor" ref="uPicker" :loading="loading" @confirm="confirmfloor"
			@cancel='cancelfloor' :columns="columns" keyName="orgName" @change="changeHandler"></u-picker>
		<u-notify ref="uNotify" :show="showdct" message="服务器请求失败"></u-notify>
	</view>
</template>

<script>
	//import { isEmpty, getDictDataList } from "@/utils/index";
	export default {
		components: {

		},
		data() {

			return {
				totalnumber: 0,
				setyesno: true,
				indexList: [],
				dataList: [],
				dataForm: {
					buildingId: "",
					storeyId: "",
					//	page: 1,
					//	limit: 10,
				},
				pd: true,
				showtype: false,
				showdct: false,
				mytitle: '',
				alldata: [],
				showfloor: false,
				loading: false,
				columns: [],
				columnData: [],
				myday: '',
				mytype: '全部',
				showPicker: false,
				//myday: currentDate,
				columnstype: [

				],



			}
		},
		//监听页面加载，其参数为上个页面传递的数据，参数类型为 Object（用于页面传参
		onLoad() {

			// let getDictDataList = uni.getStorageSync('getDictDataList');
			//
			// for (let i = 0; i < getDictDataList.length; i++) {
			// 	if (getDictDataList[i].dictType == 'PayType') {
			// 		this.columnstype = [getDictDataList[i].dataList]
			// 	}
			// }


			this.getfloor();
			//	this.loadmore();
		},
		//监听页面初次渲染完成。注意如果渲染速度快，会在页面进入动画完成前触发
		onReady() {
			// 微信小程序需要用此写法

		},

		//监听页面隐藏
		onHide() {},
		//监听窗口尺寸变化
		onResize() {},
		//监听页面卸载
		onUnload() {},
		//监听用户下拉动作，一般用于下拉刷新
		onPullDownRefresh() {},
		methods: {
			scrolltolower() {
				if (this.pd) {
					this.getalldata();
				} else {
					return
				}
			},
			getalldata() {
				this.$api.get('/home/actualAlertList', this.dataForm)
					.then(res => {
						if (res.data.code == 0) {
							if (res.data.data == null) {
								this.totalnumber = 0;
								this.indexList = [];
							} else {
								this.totalnumber = res.data.data.length;
								this.indexList = res.data.data;
							}
						} else {
							uni.showToast({
								title: res.data.msg,
								icon: 'none',
								duration: 1500
							})
						}
					})
			},


			getfloor() {
				this.$api.get('/control/getOrgStructureTree/', {})
					.then(res => {

						if (res.data.code == 0) {
							this.mytitle = res.data.data[0].orgName;
							this.alldata = res.data.data[0].childrenList;
							this.columns = [
								res.data.data[0].childrenList,
								res.data.data[0].childrenList[0].childrenList
							]
							let allfloor = [];
							for (let i = 0; i < res.data.data[0].childrenList.length; i++) {
								allfloor.push(res.data.data[0].childrenList[i].childrenList)
							}
							this.columnData = allfloor;
							this.getalldata();
						} else {
							this.showdct = true
						}
					})
			},

			floorchange() {
				this.showfloor = true;
			},
			changeHandler(e) {
				const {
					columnIndex,
					index,
					// 微信小程序无法将picker实例传出来，只能通过ref操作
					picker = this.$refs.uPicker
				} = e
				if (columnIndex === 0) {
					this.loading = true
					picker.setColumnValues(1, this.columnData[index])
					this.loading = false
				}
				//	this.getalldata();
			},
			confirmfloor(e) {
				console.log('222222', e.value)
				this.mytitle = e.value[0].orgName + e.value[1].orgName;
				this.dataForm.buildingId = e.value[0].orgId;
				this.dataForm.storeyId = e.value[1].orgId;
				this.showfloor = false;
				this.getalldata();
			},
			cancelfloor() {
				this.showfloor = false;
			},


		}
	}
</script>
<style lang="scss">
	.companylist {
		margin: 0 32rpx 24rpx;
		background: #fff;
		padding: 24rpx 32rpx;
		border-radius: 8rpx;
		position: relative;

		h3 {
			margin-bottom: 24rpx;
		}

		.Currentamount {
			margin-bottom: 4rpx;
			color: #999;

			span {
				color: #FA5555;
				padding-left: 9rpx;
			}
		}
		.outstanding{
			position: absolute;
			width:96rpx;
			height: 48rpx;
			border-radius: 0 8rpx 0 20rpx;
			right:0;
			line-height: 48rpx;
			text-align: center;
			top:0;
			z-index: 1;
			font-size: 22rpx;
			background-color:#30D3A2 ;
			color: #fff;
			&.PropertyFee{
				background-color:#30D3A2 ;
			}
		}

	}
	.topbill {
		display: flex;
		justify-content:center;
		align-items: center;
		height: 100rpx;
		background-color: #fff;

		.topbilledit {
			display: flex;
			justify-content: space-around;
			align-items: center;

			.changetime1 {
				padding-right: 10rpx;
			}
		}
	}
</style>